Subject: Re: bug#33107: guix pull error

From: Marcel Schilling <[email-masked]>
Date: Mon, 22 Oct 2018 15:20:56 +0200

Hi Ludo,

I did unset GUIX_PACKAGE_PATH between the first and the second attempt so
maybe it was related to some package definition depending on one that was
not yet in the Guix I had. If that was the problem it should be solved
when I finally switch to channels (soon(tm)).

Sorry for the noise.

Best,
Marcel

On Mon, Oct 22, 2018 at 03:16:28PM +0200, Ludovic Courtès wrote:
> Hi Marcel,
> 
> Marcel Schilling <[email-masked]> skribis:
> 
> > guix pull aborted with
> >
> >> guix pull: error: You found a bug: the program
> >> '/gnu/store/hj11vw91pvwx7q57mn993r6gm7p92p30-compute-guix-derivation'
> >> failed to compute the derivation for Guix (version:
> >> "bfa47f14b1a19150d6ddf149597d16493f69ae6d"; system: "x86_64-linux"; host
> >> version: "2c89b4b5500ab940411d43c97291c931c3f5b8d0"; pull-version: 1).
> >> Please report it by email to <[email-masked]>.
> 
> [...]
> 
> > addendum: a 2nd guix pull finished successfully:
> >
> >> Generation 6    Oct 20 2018 21:43:33    (current)
> >>   guix bfa47f1
> >>     repository URL: https://git.savannah.gnu.org/git/guix.git
> >>     branch: master
> >>     commit: bfa47f14b1a19150d6ddf149597d16493f69ae6d
> 
> Normally ‘guix pull’ is deterministic so attempts to build commit
> bfa47f14b1a19150d6ddf149597d16493f69ae6d should either fail or succeed,
> but that should be reproducible (FWIW I just tried “guix pull
> --commit=bfa47f14b1a19150d6ddf149597d16493f69ae6d” and it works for me.)
> 
> In the future, if the problem shows up again, could you please post the
> ‘guix pull’ output that precedes the “You found a bug” error message?
> 
> Thanks,
> Ludo’.